When calling a Fluid Topics web service, it is necessary to provide an Ft-Calling-App value. Indeed, the Fluid Topics Analytics engine relies on the Ft-Calling-App parameter to calculate API calls.
The Ft-Calling-App value is a string that identifies a use case. Use consistent, descriptive names to distinguish between different integrations and usage types. This makes it easier to interpret data in the API calls Analytics dashboard.
To set Ft-Calling-App:
-
For
POST,PUT, andDELETEcalls, setFt-Calling-Appas an HTTP header. In the following example, replaceYour-Calling-Appwith an identifiable name for the use case. For example:curl --location 'https://docs.fluidtopics.com/api/khub/maps/search' \ --header 'Content-Type: application/json' \ --header 'Ft-Calling-App: Your-Calling-App' \ --data '{ "metadataFilters": [ { "key": "Category", "valueFilter": { "values": ["Reference Guides"] } } ] }' -
For
GETcalls, setFt-Calling-Appas a query parameter. In the following example, replaceYour-Calling-Appwith an identifiable name for the use case. For example:https://docs.fluidtopics.com/api/khub/maps?Ft-Calling-App=Your-Calling-App
Without Ft-Calling-App value it is not possible to correctly keep track of all API calls in the Analytics.